## org.codehaus.groovy.grails.validation.exceptions
Class ConstraintException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.validation.exceptions.ConstraintException

All Implemented Interfaces:
  Serializable

    public class ConstraintException

extends GrailsException

An exception thrown when an error occurs applying a constraint to a property

Since:
  10-Nov-2005
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`ConstraintException()`
`ConstraintException(String arg0)`
`ConstraintException(String arg0, Throwable arg1)`
`ConstraintException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstraintException

    public ConstraintException()

### ConstraintException

    public ConstraintException(String arg0,
                               Throwable arg1)

### ConstraintException

    public ConstraintException(String arg0)

### ConstraintException

    public ConstraintException(Throwable arg0)

Copyright (c) 2005-2006 The Grails project